## magnum 13.0.0+git2021120910.fa298eea

=== debian/changelog ===
magnum (13.0.0+git2021120910.fa298eea-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:58:46 -0500
