## magnum 13.1.1

=== debian/changelog ===
magnum (13.1.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New stable point release for OpenStack Xena (LP: #2019762).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 May 2023 16:50:12 -0400

magnum (13.1.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Xena (LP: #2009966).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 10:02:14 -0300

magnum (13.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 12:09:05 +0000
