=== debian/changelog ===
magnum (14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 20:51:51 -0400

magnum (13.0.0+git2022030313.4c4bba13-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-doc8 build-depend.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Mar 2022 07:46:16 -0500

magnum (13.0.0+git2022030313.4c4bba13-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:16:37 -0500
