=== debian/control ===
--- 
+++ 
@@ -19,17 +19,16 @@
  python3-alembic (>= 0.9.6),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 5.0.0),
- python3-bashate (>= 0.6.0),
+ python3-bashate,
  python3-cinderclient (>= 1:7.1.0),
  python3-cliff (>= 2.8.0),
  python3-cryptography (>= 2.1.4),
  python3-decorator (>= 3.4.0),
- python3-doc8 (>= 0.8.0),
- python3-docker (>= 4.1.0),
+ python3-docker (>= 4.3.0),
  python3-eventlet (>= 0.28.0),
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:3.2.0),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-heatclient (>= 2.2.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonpatch (>= 1.16),
@@ -68,9 +67,10 @@
  python3-pycadf (>= 1.1.0),
  python3-pygments (>= 2.7.1),
  python3-requests (>= 2.20.1),
+ python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),
- python3-stestr (>= 3.0.1),
+ python3-stestr,
  python3-stevedore (>= 1:3.3.0),
  python3-subunit (>= 1.4.0),
  python3-taskflow (>= 2.16.0),
@@ -162,7 +162,7 @@
  python3-cliff (>= 2.8.0),
  python3-cryptography (>= 2.1.4),
  python3-decorator (>= 3.4.0),
- python3-docker (>= 4.1.0),
+ python3-docker (>= 4.3.0),
  python3-eventlet (>= 0.28.0),
  python3-glanceclient (>= 1:3.2.0),
  python3-heatclient (>= 2.2.0),
