=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
  python3-pbr (>= 5.5.0),
@@ -64,13 +64,14 @@
  python3-osprofiler (>= 3.4.0),
  python3-pecan (>= 1.3.3),
  python3-pep8,
+ python3-pkg-resources (>= 30.0.0),
  python3-pycadf (>= 1.1.0),
- python3-pygments (>= 2.7.1),
+ python3-pygments (>= 2.7.2),
  python3-requests (>= 2.20.1),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),
- python3-stestr,
+ python3-stestr (>= 3.1.0),
  python3-stevedore (>= 1:3.3.0),
  python3-subunit (>= 1.4.0),
  python3-taskflow (>= 2.16.0),
@@ -85,10 +86,9 @@
  subunit,
  testrepository,
  vim,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/magnum
-Homepage: https://github.com/openstack/magnum
+Homepage: https://opendev.org/openstack/magnum
 Testsuite: autopkgtest-pkg-python
 
 Package: magnum-api
@@ -195,6 +195,7 @@
  python3-oslo.versionedobjects (>= 2.1.0),
  python3-pbr (>= 5.5.0),
  python3-pecan (>= 1.3.3),
+ python3-pkg-resources (>= 30.0.0),
  python3-pycadf (>= 1.1.0),
  python3-requests (>= 2.20.1),
  python3-setuptools (>= 24.0.0),
