## magnum 14.0.0+git2022091213.fe0d9fc3

=== debian/changelog ===
magnum (14.0.0+git2022091213.fe0d9fc3-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:13:55 -0400
