## magnum 14.1.0

=== debian/changelog ===
magnum (14.1.0-0ubuntu1) jammy; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/yoga branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Yoga (LP: #2009966).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 09:58:37 -0300
