=== debian/changelog ===
magnum (14.1.1-0ubuntu1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 14 Oct 2023 06:34:18 +0000

magnum (14.1.1-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2037332).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2023 16:52:06 -0400
