## magnum 14.1.2

=== debian/changelog ===
magnum (14.1.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:22:25 +0000

magnum (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Remove_use_of_tenant_in_context.py.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:16:22 +0200

magnum (14.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Add Remove_use_of_tenant_in_context.py.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Mar 2022 21:33:40 +0100

magnum (14.0.0~rc1-2) experimental; urgency=medium

  * Skip tests that are breaking in the buildd:
    - test_update_cluster_template_with_cluster_not_allow_update()
    - test_collection_links()

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 17:29:55 +0100

magnum (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 18:16:11 +0100

magnum (13.0.0-5) unstable; urgency=medium

  * Aslo blacklist:
    - api.controllers.v1.test_cluster_template.TestListClusterTemplate.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 20:12:37 +0100

magnum (13.0.0-4) unstable; urgency=medium

  * Blacklist all of:
    - .*api.controllers.v1.test_baymodel.TestPatch.*
    - .*api.controllers.v1.test_baymodel.TestPost.*
    - .*api.controllers.v1.test_cluster_template.TestPost.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 14:44:09 +0100

magnum (13.0.0-3) unstable; urgency=medium

  * Blacklist unit tests that are failing in buildd only:
    - TestPost.test_create_baymodel_with_invalid_long_string
    - TestPost.test_create_baymodel_with_network_driver_non_def_config
    - TestPost.test_create_baymodel_with_no_os_distro_image
    - TestPost.test_create_baymodel_with_volume_driver
    - TestPost.test_create_cluster_template_with_invalid_empty_string
    - TestPost.test_create_cluster_template_with_invalid_long_string
    - TestPost.test_create_cluster_template_with_network_driver
    - TestPost.test_create_cluster_template_with_no_network_driver
    - TestPost.test_create_cluster_template_with_overlay
    - TestPost.test_create_cluster_template_without_name
  * Remove --with systemd.
  * magnum-{api,common}: depends on ucf.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Jan 2022 12:12:03 +0100

magnum (13.0.0-2) unstable; urgency=medium

  * Add python -c "import fcntl; fcntl.fcntl(1, fcntl.F_SETFL, 0)" before
    running tests, in the hope it fixes building on buildds.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Jan 2022 16:27:35 +0100

magnum (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:23:29 +0200

magnum (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Switch policy to /etc/magnum/policy.d/00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:33:30 +0200

magnum (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 10:51:41 +0200
