## magnum 15.0.1

=== debian/changelog ===
magnum (15.0.1-4) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).
  * Also blacklist these other flacky tests:
    - TestListCluster.test_get_one_by_uuid()
    - TestPatch.test_replace_ok()

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 14:07:39 +0200

magnum (15.0.1-2) unstable; urgency=medium

  * Blacklist test_create_federation_with_valid_name(), failing in the buildd,
    but not in my laptop.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 12:37:14 +0100

magnum (15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 08:58:16 +0100

magnum (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed Fix-compatibility-with-oslo.db-12.1.0.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:27:12 +0200

magnum (15.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:14:29 +0200

magnum (15.0.0~rc1-2) experimental; urgency=medium

  * Add Fix-compatibility-with-oslo.db-12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 09:12:28 +0200

magnum (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 21:55:46 +0200
