=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -17,7 +17,6 @@
 Build-Depends-Indep:
  alembic,
  bandit,
- python3-babel,
  python3-barbicanclient,
  python3-cinderclient,
  python3-cliff,
@@ -75,6 +74,7 @@
  python3-testtools,
  python3-tz,
  python3-webob,
+ python3-webtest,
  python3-werkzeug,
  python3-wsme,
  python3-yaml,
@@ -158,7 +158,6 @@
 Architecture: all
 Depends:
  alembic,
- python3-babel,
  python3-barbicanclient,
  python3-cinderclient,
  python3-cliff,
