## magnum 15.0.1+git2023011009.a8a6a37c

=== debian/changelog ===
magnum (15.0.1+git2023011009.a8a6a37c-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:58:53 -0500
