## magnum 15.0.1+git2023030309.ab9fe94d

=== debian/changelog ===
magnum (15.0.1+git2023030309.ab9fe94d-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:23:47 -0500
