## magnum 15.0.2

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
@@ -5,7 +9,6 @@
 # Despite above warning added by global sync process, please use
 # ascii betical order.
 
-Babel!=2.4.0,>=2.3.4 # BSD
 PyYAML>=3.13 # MIT
 SQLAlchemy>=1.2.0 # MIT
 WSME>=0.8.0 # MIT
