=== debian/changelog ===
magnum (15.0.2-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New stable point release (LP: #2054687).

 -- James Page <james.page@ubuntu.com>  Fri, 23 Feb 2024 15:09:15 +0000

magnum (15.0.1-0ubuntu1) kinetic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/zed branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Zed (LP: #2009966).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 20 Mar 2023 09:57:15 -0300
