## magnum 16.0.1

=== debian/changelog ===
magnum (16.0.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Aug 2023 17:11:17 +0000

magnum (16.0.1-0ubuntu1) lunar; urgency=medium

  * d/gbp.conf: Create stable/2023.1 branch.
  * New stable point release for OpenStack Antelope (LP: #2030514).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2023 16:19:31 -0400
